BasicDesktopPaneUI (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.basic.BasicDesktopPaneUI class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicDesktopPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.DesktopPaneUI
    - - javax.swing.plaf.basic.BasicDesktopPaneUI

- Direct Known Subclasses:
    `SynthDesktopPaneUI`

      public class BasicDesktopPaneUI
      extends DesktopPaneUI

  Basic L&F for a desktop.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `BasicDesktopPaneUI.CloseAction` | Handles closing an internal frame.
    `protected class` | `BasicDesktopPaneUI.MaximizeAction` | Handles maximizing an internal frame.
    `protected class` | `BasicDesktopPaneUI.MinimizeAction` | Handles minimizing an internal frame.
    `protected class` | `BasicDesktopPaneUI.NavigateAction` | Handles navigating to the next internal frame.
    `protected class` | `BasicDesktopPaneUI.OpenAction` | Handles restoring a minimized or maximized internal frame.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected KeyStroke` | `closeKey` | Deprecated. As of 1.3.
    `protected JDesktopPane` | `desktop` | The instance of `JDesktopPane`.
    `protected DesktopManager` | `desktopManager` | The instance of `DesktopManager`.
    `protected KeyStroke` | `maximizeKey` | Deprecated. As of 1.3.
    `protected KeyStroke` | `minimizeKey` | Deprecated. As of 1.3.
    `protected KeyStroke` | `navigateKey` | Deprecated. As of 1.3.
    `protected KeyStroke` | `navigateKey2` | Deprecated. As of 1.3.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicDesktopPaneUI()` | Constructs a new instance of `BasicDesktopPaneUI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected PropertyChangeListener` | `createPropertyChangeListener()` | Returns the `PropertyChangeListener` to install on the `JDesktopPane`.
    `static ComponentUI` | `createUI​(JComponent c)` | Constructs a new instance of `BasicDesktopPaneUI`.
    `protected void` | `installDefaults()` | Installs default properties.
    `protected void` | `installDesktopManager()` | Installs desktop manager.
    `protected void` | `installKeyboardActions()` | Installs keyboard actions.
    `protected void` | `installListeners()` | Installs the `PropertyChangeListener` returned from `createPropertyChangeListener` on the `JDesktopPane`.
    `protected void` | `registerKeyboardActions()` | Registers keyboard actions.
    `protected void` | `uninstallDefaults()` | Uninstalls default properties.
    `protected void` | `uninstallDesktopManager()` | Uninstalls desktop manager.
    `protected void` | `uninstallKeyboardActions()` | Unregisters keyboard actions.
    `protected void` | `uninstallListeners()` | Uninstalls the `PropertyChangeListener` returned from `createPropertyChangeListener` from the `JDesktopPane`.
    `protected void` | `unregisterKeyboardActions()` | Unregisters keyboard actions.

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### desktop

          protected JDesktopPane desktop

      The instance of `JDesktopPane`.

    - #### desktopManager

          protected DesktopManager desktopManager

      The instance of `DesktopManager`.

    - #### minimizeKey

          @Deprecated
          protected KeyStroke minimizeKey

      Deprecated.
      As of 1.3.
      As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

    - #### maximizeKey

          @Deprecated
          protected KeyStroke maximizeKey

      Deprecated.
      As of 1.3.
      As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

    - #### closeKey

          @Deprecated
          protected KeyStroke closeKey

      Deprecated.
      As of 1.3.
      As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

    - #### navigateKey

          @Deprecated
          protected KeyStroke navigateKey

      Deprecated.
      As of 1.3.
      As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

    - #### navigateKey2

          @Deprecated
          protected KeyStroke navigateKey2

      Deprecated.
      As of 1.3.
      As of Java 2 platform v1.3 this previously undocumented field is no longer used. Key bindings are now defined by the LookAndFeel, please refer to the key bindings specification for further details.

  - ### Constructor Detail

    - #### BasicDesktopPaneUI

          public BasicDesktopPaneUI()

      Constructs a new instance of `BasicDesktopPaneUI`.

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Constructs a new instance of `BasicDesktopPaneUI`.
      Parameters:
        `c` - a component
      Returns:
        a new instance of `BasicDesktopPaneUI`

    - #### installDefaults

          protected void installDefaults()

      Installs default properties.

    - #### uninstallDefaults

          protected void uninstallDefaults()

      Uninstalls default properties.

    - #### installListeners

          protected void installListeners()

      Installs the `PropertyChangeListener` returned from `createPropertyChangeListener` on the `JDesktopPane`.
      Since:
        1.5
      See Also:
        `createPropertyChangeListener()`

    - #### uninstallListeners

          protected void uninstallListeners()

      Uninstalls the `PropertyChangeListener` returned from `createPropertyChangeListener` from the `JDesktopPane`.
      Since:
        1.5
      See Also:
        `createPropertyChangeListener()`

    - #### installDesktopManager

          protected void installDesktopManager()

      Installs desktop manager.

    - #### uninstallDesktopManager

          protected void uninstallDesktopManager()

      Uninstalls desktop manager.

    - #### installKeyboardActions

          protected void installKeyboardActions()

      Installs keyboard actions.

    - #### registerKeyboardActions

          protected void registerKeyboardActions()

      Registers keyboard actions.

    - #### unregisterKeyboardActions

          protected void unregisterKeyboardActions()

      Unregisters keyboard actions.

    - #### uninstallKeyboardActions

          protected void uninstallKeyboardActions()

      Unregisters keyboard actions.

    - #### createPropertyChangeListener

          protected PropertyChangeListener createPropertyChangeListener()

      Returns the `PropertyChangeListener` to install on the `JDesktopPane`.
      Returns:
        The PropertyChangeListener that will be added to track changes in the desktop pane.
      Since:
        1.5